n_mp3 = 0 -- Variable qui contient le nombre de MP3 dans le dossier music
sfichier = {}  -- Tableau pour le listing de fichier
musmp3 = {} -- Tableau contenant les noms des MP3
random_nb = 0
random_choix = 0
random_choix1 = 0
random_choix2 = 0
random_choix3 = 0
nb_random = 0
nb_random1 = 0
nb_random2 = 0
nb_random3 = 0
choix = 0
pathorigin = System.currentDirectory() 

bg = Image.load("images/jeux.png")

blanc = Color.new(255,255,255)
quiz = 0
reponse = 0
score = 1000
score_final = 0

vrai = Image.load("images/vrai.png")
faux = Image.load("images/faux.png")












fichiers = System.listDirectory("ms0:/PSP/MUSIC") -- On liste les fichiers dans le dossier Music
n_sfichiers = table.getn(fichiers) -- On assigne à n_sfichiers le nombre de cellules dans le tableau(ce qui correspond au nombre de fichiers)
for i=3, n_sfichiers do  -- On analyse tous les fichiers dans MUSIC à partir du tableau ou on les a repertoriés(On commence a partir du 3e car les 2 premiers sont le . et le ..)
          longueur = string.len(fichiers[i].name) -- Renvoi la longueur du nom du fichier actuel
          nom = string.sub(fichiers[i].name, longueur-3) -- On ne garde que les 3 derniers caractères pour l'extension du fichier
          if nom == ".MP3"  then -- On regarde si c'est un MP3
                n_mp3 = n_mp3 + 1 -- On incrément 1 à n_mp3 pour avoir le vrai nombre au final
                musmp3[n_mp3] = {name=fichiers[i].name} -- On ajoute ce mp3 au tableau qui va les repertoriés
          end
          if nom == ".mp3"  then -- On regarde si c'est un mp3
                n_mp3 = n_mp3 + 1 -- On incrément 1 à n_mp3 pour avoir le vrai nombre au final
                musmp3[n_mp3] = {name=fichiers[i].name} -- On ajoute ce mp3 au tableau qui va les repertoriés
          end
    end
    
    selectmax = n_mp3 
    
    
    while true do
    
    
    
    


score = 1000
nb_random = math.random(1,selectmax)
nb_random1 = math.random(1,selectmax)
nb_random2 = math.random(1,selectmax)
nb_random3 = math.random(1,selectmax)









random_choix = math.random(0,4)
     
     
     
     
     
     
     
     
     
   
if random_choix == 1 then
   random_choix = "triangle"
   end
if random_choix == 2 then
   random_choix = "circle"
   end
   if random_choix == 3 then
   random_choix = "square"
   end
   if random_choix == 4 then
   random_choix = "cross"
   end
   
if random_choix == 0 then
random_choix = math.random(0,4)
end
   
    


   
   while true do
   
   
    

   
   screen:clear()
   
   pad = Controls.read()
   
   screen:blit(0,0,bg)
   
   
   
   
     
   
   if random_choix == "triangle" then
   screen:print(59,150,musmp3[nb_random].name,blanc)
   screen:print(289,150,musmp3[nb_random1].name,blanc)
   screen:print(59,238,musmp3[nb_random2].name,blanc)
   screen:print(289,238,musmp3[nb_random3].name,blanc)
   end
   
   
  
   
   if random_choix == "circle" then
   screen:print(289,150,musmp3[nb_random].name,blanc)
   screen:print(59,238,musmp3[nb_random1].name,blanc)
   screen:print(289,238,musmp3[nb_random2].name,blanc)
   screen:print(59,150,musmp3[nb_random3].name,blanc)
   end
   
   
   
   if random_choix == "square" then
   screen:print(59,238,musmp3[nb_random].name,blanc)
   screen:print(289,238,musmp3[nb_random1].name,blanc)
   screen:print(59,150,musmp3[nb_random2].name,blanc)
   screen:print(289,150,musmp3[nb_random3].name,blanc)
   end
   
   
   
   if random_choix == "cross" then
   screen:print(289,238,musmp3[nb_random].name,blanc)
   screen:print(59,150,musmp3[nb_random1].name,blanc)
   screen:print(289,150,musmp3[nb_random2].name,blanc)
   screen:print(59,238,musmp3[nb_random3].name,blanc)
   end
   
   
   
   
   
   
   
   
   
     
   System.currentDirectory("ms0:/PSP/MUSIC/") -- On se place dans le dossier MUSIC , sinon ça ne marche pas
          Mp3.load (musmp3[nb_random].name)  -- On charge le mp3 sélectionné
          Mp3.play() -- On joue le MP3
   
  
   score = score - 5
   
   screen:print(197,56,score,blanc)
   
  
   
  
   
      
     
   if pad:cross() then
          choix = "cross"
          break
          
          end
          
          if pad:circle() then
          choix = "circle"
          break
          
          end
          
          if pad:triangle() then
          choix = "triangle"
          break
         
          end
          
          if pad:square() then
          choix = "square"
          break
          
          end
          
         
          



 
   if score == 0 then
   
   choix = "rien"
   Mp3.stop()
       break   
   
 
   end
   
   
   








screen.flip() 
screen.waitVblankStart() 

end


if quiz == 10 then

Mp3.stop()

file = io.open("score_total.txt","w")
file:write(score_final)
file:close()

file = io.open("score_total.txt","a")
file:write(reponse)
file:close()
   
   
System.currentDirectory(pathorigin) -- Replace le luaplayer dans le dossier d'origine
   dofile("fin_quiz.lua")

end


 


if choix == random_choix then
          quiz = quiz + 1
          score_final = score_final + score
          reponse = reponse + 1         
          Mp3.stop()
  
minuteur = Timer.new() 
minuteur:start()
while true do 
pad=Controls.read()

Temps = minuteur:time()
screen:clear() 
screen:blit(0,0,vrai) 
if Temps > 1500 then 
minuteur:stop() 
minuteur:reset() 

break
end
screen.flip() 
screen.waitVblankStart() 
end       
          
          end
          
          if choix ~= random_choix then
          quiz = quiz + 1
          Mp3.stop()
          
          minuteur = Timer.new() 
minuteur:start()
while true do 
pad=Controls.read()

Temps = minuteur:time()
screen:clear() 
screen:blit(0,0,faux) 
if Temps > 1500 then 
minuteur:stop() 
minuteur:reset() 

break
end
screen.flip() 
screen.waitVblankStart() 
end 
          
          
          
          
          
          
          
          end
          
screen.flip() 
screen.waitVblankStart() 

end